import { Part } from "../data/parts";

export function PartTable(data: Array<Part>, cols: Array<string>){
    let list = [];
    for (let index = 0; index < data.length; index++) {
        list.push(
            <tr>
                <td>{data[index].partname}</td>
                <td><a href={data[index].url}>{data[index].registrycode}</a></td>
                <td>{data[index].description}</td>
                <td>{data[index].length}</td>
                <td>{data[index].type}</td>
            </tr>
        )
    }
    let heads = []; 
    for (let index = 0; index < cols.length; index++) {
        heads.push(<td>cols[index]</td>)
    }
    return(
        <div className="flex flex-col">
     <div className="overflow-x-auto sm:-mx-6 lg:-mx-8">
       <div className="inline-block min-w-full py-4 sm:px-6 lg:px-8">
         <div className="overflow-hidden p-2">
           <table className="min-w-full text-center">
             <thead className="border-b bg-gray-50">
                <tr>
                    {heads}
                </tr>
             </thead>
             <tbody>
                {list}
             </tbody>
           </table>
         </div>
       </div>
     </div>
   </div>
    )
}